VisualEditor: Adding a template and removing a non-breaking space (nbsp) causes span tags with data-ve-ignore
Closed, ResolvedPublic

Description

Intention:
Add a template and remove a non-breaking space ( ) in the same line/paragraph

Steps to Reproduce:
(Order matters!)

  1. Begin with a page that contains the HTML code for a non-breaking space. Open in VisualEditor.
  1. On the line that contains the nbsp, add a template (e.g., {{fact}}). The template should be added to the same 'word' that contains the nbsp.
  1. Then remove the nbsp (replace with a plain space, or just delete the whole 'word').

Actual Results:
VisualEditor added span text like <span about="g0.42287685585435686" data-ve-ignore="true"></span> when the nbsp was removed.

Adding a fact template to the end of:

1&nbsp;mg 2&nbsp;mg 3&nbsp;mg 4&nbsp;mg

turns into:

1&nbsp;mg 2&nbsp;mg 3&nbsp;mg 4 mg{{Fact}}<span data-ve-ignore="true" about="g0.5170239245053381"></span>

However, adding the template to "3 mg" and deleting the nbsp from "2 mg" works correctly:

1&nbsp;mg 2 mg 3&nbsp;mg{{Fact}} 4&nbsp;mg

Reproducible: Always

See https://en.wikipedia.org/w/index.php?title=Wikipedia%3AVisualEditor%2FFeedback&diff=591972176&oldid=591955710 and testing at https://en.wikipedia.org/w/index.php?title=User:Jay8g/sandbox&action=history on 23 January 2014 for many more details.

Found in Firefox 26 on Windows 7 with Monobook, confirmed in Safari 6 on Mac OS 10.8.5 with Vector.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=60897

bzimport set Reference to bz60375.
Whatamidoing-WMF created this task.Via LegacyJan 23 2014, 7:50 PM
Whatamidoing-WMF added a comment.Via ConduitJan 24 2014, 4:31 PM

This also appears if you add any template after a {{convert}} template, and then remove the {{convert}} template.

If there are multiple nbsp's on the same line, them it is only the removal of the nbsp that is immediately before the template that appears to trigger it.

Esanders added a comment.Via ConduitFeb 5 2014, 8:52 PM

Probably a duplicate of bug 60897

See if the fix there resolves this.

Jdforrester-WMF added a comment.Via ConduitFeb 6 2014, 6:42 AM

From following WhatAmIDoing's instructions, I can replicate in enwiki and it's fixed in Beta Labs; marking as FIXED.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.